Subject: bug#12507: [debbugs-tracker] Processed: severity 12507 wishlist

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Sep 2020 19:23:03 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 23 Sep 2020 15:34:01 +0200
> Cc: Chong Yidong <[email-masked]>, [email-masked]
> 
> Karl Fogel <[email-masked]> writes:
> 
> > I've just been deep-diving into this again.  I'd like feedback on this general plan for a solution:
> >
> > 1) In files.el: define a new function `back-up-file' [a] that takes a
> >    file name as argument and does most of what `backup-buffer' currently
> >    does -- basically, everything from the second `when' on down to the
> >    end of the function.
> >
> > 2) Change `backup-buffer' to use the new function `back-up-file'.
> >
> >    In other words, we abstract out most of the Emacs file backup
> >    functionality to this new function `back-up-file' so we can call it
> >    in (3) below, passing a file name argument.
> 
> Sounds perfect.  There's a bunch of modes in Emacs that want to do a
> backup file, and they go through all these contortions to make this
> happen.  

Maybe this would be a good feature to have, but going back to the
original problem of bookmark file, I think that the easiest fix is to
go back to using write-file.  Karl changed that 15 years ago because
he followed suit of saveplace.el, but I think there's a significant
difference between the files these two packages maintain: the file
with bookmarks is much more close to being "user data" than the file
written by saveplace.el.  So I don't think they need both to treat
their files the same, wrt backing them up.